Skip to main content
GET
/
v1
/
transaction
/
exports
Exportar transações
curl --request GET \
  --url https://sandbox.api.veepag.com/v1/transaction/exports \
  --header 'apiKey: <api-key>'
[]

Authorizations

apiKey
string
header
required

API key no formato keyId.secret.

Query Parameters

rangeTime.end
string<date-time>

Range end (ISO string). Used with sort.property.

Example:

"2026-06-23T23:59:59.999Z"

rangeTime.start
string<date-time>

Range start (ISO string). Used with sort.property.

Example:

"2026-06-01T00:00:00.000Z"

message
string

Message contains (case-insensitive) Busca parcial case-insensitive.

brandCard
string

Card brand filter

cardLast4
string

Last 4 digits of the card

Required string length: 4
Example:

"1111"

cardFirst6
string

First 6 digits of the card (BIN)

Required string length: 6
Example:

"411111"

sort.order
enum<string>
default:desc

Sort direction (asc|desc)

Available options:
asc,
desc
Example:

"desc"

sort.property
enum<string>
default:createdAt

Range field (createdAt|lastUpdate)

Available options:
createdAt,
lastUpdate
Example:

"createdAt"

status
any[]

Transaction status (multiple values allowed)

clientId
string

Client ID

productId
string

Product ID

subscriptionId
string

Subscription ID

tid
string

Transaction TID

id
string

Transaction ID

Response

Transacoes exportadas.

_id
string
companyId
string
clientId
string
productId
string
subscriptionId
string
chargeId
string
amount
number
installments
number
paymentMethod
enum<string>
Available options:
CREDIT_CARD,
DEBIT_CARD,
BOLETO,
PIX
status
enum<string>
Available options:
PAID,
PROCESSING,
DECLINED,
CANCELED,
DISCARDED,
AUTHORIZED,
IN_ANALYSIS,
ERROR_PAYMENT,
DISPUTE,
STANDBY,
CHARGEBACK,
PENDING_REVIEW,
PENDING_3DS,
BLOCKED,
INVALID_PAYMENT,
NO_PAYMENT_ROUTE,
PENDING_PAYMENT,
ERROR_REFUNDED
message
string
message2
string
card
object
acquirer
object
boleto
object
qrCode
object
metadata
object
createdAt
string<date-time>
lastUpdate
string<date-time>